/*******************************************************************
*
*  DESCRIPTION: Atomic Model StepA of Krebs Cycle
*
*  AUTHOR: Roxana Djafarzadeh
*
*  EMAIL: mailto://roxanadj@hotmail.com
*         mailto://rdjafar@site.uottawa.ca
*
*  DATE of Creation: 30/12/2003
*  Modified: 28/07/2004
*
*******************************************************************/

#ifndef __STEPA_H
#define __STEPA_H

#include <list>
#include "atomic.h"     // class Atomic

class StepA : public Atomic
{
public:
	StepA( const string &name = "StepA" ); //Default constructor

	virtual string className() const ;
protected:
	Model &initFunction();
	Model &externalFunction( const ExternalMessage & );
	Model &internalFunction( const InternalMessage & );
	Model &outputFunction( const InternalMessage & );

private:
    // inputs
	const Port &pyruvate;
	const Port &pyruvateDehydrogenase;
	const Port &HSCoAi;
	const Port &NAD;
    // outputs
	Port &acetyl_CoA;
	Port &NADH;
	Port &CO2;
	Port &H;

	Time preparationTime;

	double pyruvatec;
	double ifpyruvateDehydrogenase;
	double hscoaic;
	double nadc;
    double counter;

};	// class StepA

// ** inline ** // 
inline
string StepA::className() const
{
	return "StepA" ;
}

#endif   //__STEPA_H
