/*******************************************************************
*
*  DESCRIPTION: Atomic Model StepB1 of Krebs Cycle
*
*  AUTHOR: Roxana Djafarzadeh
*
*  EMAIL: mailto://roxanadj@hotmail.com
*         mailto://rdjafar@site.uottawa.ca
*
*  DATE of Creation: 11/01/2004
*  Modified: 17/01/2004
*  Modified: 29/07/2004
*
*******************************************************************/

#ifndef __STEPB1_H
#define __STEPB1_H

#include <list>
#include "atomic.h"     // class Atomic

class StepB1 : public Atomic
{
public:
	StepB1( const string &name = "StepB1" ); //Default constructor

	virtual string className() const ;
protected:
	Model &initFunction();
	Model &externalFunction( const ExternalMessage & );
	Model &internalFunction( const InternalMessage & );
	Model &outputFunction( const InternalMessage & );

private:
    // inputs
	const Port &acetyl_CoA;
	const Port &oxaloacetate;
	const Port &H2O;
	const Port &citrateSynthase;
    // outputs
	Port &citrate;
	Port &HSCoAo;
	Port &H;

	Time preparationTime;
	double acetyl_CoAc;
	double oxaloacetatec;
	double ifcitrateSynthase;
	double h2oc;
    double counter;

};	// class StepB1

// ** inline ** // 
inline
string StepB1::className() const
{
	return "StepB1" ;
}

#endif   //__STEPB1_H
