/*******************************************************************
*
*  DESCRIPTION: Atomic Model StepB2 of Krebs Cycle
*
*  AUTHOR: Roxana Djafarzadeh
*
*  EMAIL: mailto://roxanadj@hotmail.com
*         mailto://rdjafar@site.uottawa.ca
*
*  DATE of Creation: 11/01/2004
*  Modifications: 17/01/2004
*  Modifications: 29/07/2004
*
*******************************************************************/

#ifndef __STEPB2_H
#define __STEPB2_H

#include <list>
#include "atomic.h"     // class Atomic

class StepB2 : public Atomic
{
public:
	StepB2( const string &name = "StepB2" ); //Default constructor

	virtual string className() const ;
protected:
	Model &initFunction();
	Model &externalFunction( const ExternalMessage & );
	Model &internalFunction( const InternalMessage & );
	Model &outputFunction( const InternalMessage & );

private:
    // inputs
	const Port &citrate;
	const Port &acontinase;
    // outputs
	Port &isocitrate;

	Time preparationTime;
	double citratec;
	double ifacontinase;
    double counter;

};	// class StepB2

// ** inline ** // 
inline
string StepB2::className() const
{
	return "StepB2" ;
}

#endif   //__STEPB2_H
