/*******************************************************************
*
*  DESCRIPTION: Atomic Model StepB3 of Krebs Cycle
*
*  AUTHOR: Roxana Djafarzadeh
*
*  EMAIL: mailto://roxanadj@hotmail.com
*         mailto://rdjafar@site.uottawa.ca
*
*  DATE of Creation: 11/01/2004
*  Modified: 17/01/2004
*  Modified: 30/07/2004
*
*******************************************************************/

#ifndef __STEPB3_H
#define __STEPB3_H

#include <list>
#include "atomic.h"     // class Atomic

class StepB3 : public Atomic
{
public:
	StepB3( const string &name = "StepB3" ); //Default constructor

	virtual string className() const ;
protected:
	Model &initFunction();
	Model &externalFunction( const ExternalMessage & );
	Model &internalFunction( const InternalMessage & );
	Model &outputFunction( const InternalMessage & );

private:
    // inputs
	const Port &isocitrate;
	const Port &isocitrateDehydrogenase;
	const Port &NAD;
    // outputs
	Port &alpha_ketoglutarate;
	Port &NADH;
	Port &CO2;

	Time preparationTime;
	double isocitratec;
	double ifisocitrateDehydrogenase;
	double nadc;
    double counter;

};	// class StepB3

// ** inline ** // 
inline
string StepB3::className() const
{
	return "StepB3" ;
}

#endif   //__STEPB3_H
