/*******************************************************************
*
*  DESCRIPTION: Atomic Model StepB4 of Krebs Cycle
*
*  AUTHOR: Roxana Djafarzadeh
*
*  EMAIL: mailto://roxanadj@hotmail.com
*         mailto://rdjafar@site.uottawa.ca
*
*  DATE of Creation: 11/01/2004
*  Modified: 17/01/2004
*  Modified: 30/07/2004
*
*******************************************************************/

#ifndef __STEPB4_H
#define __STEPB4_H

#include <list>
#include "atomic.h"     // class Atomic

class StepB4 : public Atomic
{
public:
	StepB4( const string &name = "StepB4" ); //Default constructor

	virtual string className() const ;
protected:
	Model &initFunction();
	Model &externalFunction( const ExternalMessage & );
	Model &internalFunction( const InternalMessage & );
	Model &outputFunction( const InternalMessage & );

private:
    // inputs
	const Port &alpha_ketoglutarate;
	const Port &alpha_ketoglutarateDehydrogenase;
	const Port &NAD;
	const Port &HSCoAi;
    // outputs
	Port &succinyl_CoA;
	Port &NADH;
	Port &CO2;
	Port &H;

	Time preparationTime;
	double alpha_ketoglutaratec;
	double ifalpha_ketoglutarateDehydrogenase;
	double nadc;
	double hscoaic;
    double counter;

};	// class StepB4

// ** inline ** // 
inline
string StepB4::className() const
{
	return "StepB4" ;
}

#endif   //__STEPB4_H
