/*******************************************************************
*
*  DESCRIPTION: Atomic Model StepB5 of Krebs Cycle
*
*  AUTHOR: Roxana Djafarzadeh
*
*  EMAIL: mailto://roxanadj@hotmail.com
*         mailto://rdjafar@site.uottawa.ca
*
*  DATE of Creation: 11/01/2004
*  Modified: 18/01/2004
*  Modified: 30/07/2004
*
*******************************************************************/

#ifndef __STEPB5_H
#define __STEPB5_H

#include <list>
#include "atomic.h"     // class Atomic

class StepB5 : public Atomic
{
public:
	StepB5( const string &name = "StepB5" ); //Default constructor

	virtual string className() const ;
protected:
	Model &initFunction();
	Model &externalFunction( const ExternalMessage & );
	Model &internalFunction( const InternalMessage & );
	Model &outputFunction( const InternalMessage & );

private:
    // inputs
	const Port &GDP;
	const Port &Pi;
	const Port &succinyl_CoA;
	const Port &succinylCoA_Synthetase;
    // outputs
	Port &succinate;
	Port &HSCoAo;
	Port &GTP;

	Time preparationTime;

	double succinyl_CoAc;
	double ifsuccinylCoA_Synthetase;
	double pic;
	double gdpc;
    double counter;

};	// class StepB5

// ** inline ** // 
inline
string StepB5::className() const
{
	return "StepB5" ;
}

#endif   //__STEPB5_H
