/*******************************************************************
*
*  DESCRIPTION: Atomic Model StepB6 of Krebs Cycle
*
*  AUTHOR: Roxana Djafarzadeh
*
*  EMAIL: mailto://roxanadj@hotmail.com
*         mailto://rdjafar@site.uottawa.ca
*
*  DATE of Creation: 11/01/2004
*  Modified: 18/01/2004
*  Modified: 30/07/2004
*
*******************************************************************/

#ifndef __STEPB6_H
#define __STEPB6_H

#include <list>
#include "atomic.h"     // class Atomic

class StepB6 : public Atomic
{
public:
	StepB6( const string &name = "StepB6" ); //Default constructor

	virtual string className() const ;
protected:
	Model &initFunction();
	Model &externalFunction( const ExternalMessage & );
	Model &internalFunction( const InternalMessage & );
	Model &outputFunction( const InternalMessage & );

private:
    // inputs
	const Port &succinate;
	const Port &succinateDehydrogenase;
	const Port &FAD;
    // outputs
	Port &fumarate;
	Port &FADH2;

	Time preparationTime;
	double succinatec;
	double ifsuccinateDehydrogenase;
	double fadc;
    double counter;

};	// class StepB6

// ** inline ** // 
inline
string StepB6::className() const
{
	return "StepB6" ;
}

#endif   //__STEPB6_H
