/*******************************************************************
*
*  DESCRIPTION: Atomic Model StepB7 of Krebs Cycle
*
*  AUTHOR: Roxana Djafarzadeh
*
*  EMAIL: mailto://roxanadj@hotmail.com
*         mailto://rdjafar@site.uottawa.ca
*
*  DATE of Creation: 11/01/2004
*  Modified: 18/01/2004
*  Modified: 31/07/2004
*
*******************************************************************/

#ifndef __STEPB7_H
#define __STEPB7_H

#include <list>
#include "atomic.h"     // class Atomic

class StepB7 : public Atomic
{
public:
	StepB7( const string &name = "StepB7" ); //Default constructor

	virtual string className() const ;
protected:
	Model &initFunction();
	Model &externalFunction( const ExternalMessage & );
	Model &internalFunction( const InternalMessage & );
	Model &outputFunction( const InternalMessage & );

private:
    // inputs
	const Port &fumarate;
	const Port &fumarase;
	const Port &H2O;
    // outputs
	Port &malate;

	Time preparationTime;
	double fumaratec;
	double iffumarase;
	double h2oc;
    double counter;

};	// class StepB7

// ** inline ** // 
inline
string StepB7::className() const
{
	return "StepB7" ;
}

#endif   //__STEPB7_H
