/*******************************************************************
*
*  DESCRIPTION: Atomic Model StepB8 of Krebs Cycle
*
*  AUTHOR: Roxana Djafarzadeh
*
*  EMAIL: mailto://roxanadj@hotmail.com
*         mailto://rdjafar@site.uottawa.ca
*
*  DATE of Creation: 11/01/2004
*  Modified: 18/01/2004
*  Modified: 31/07/2004
*
*******************************************************************/

#ifndef __STEPB8_H
#define __STEPB8_H

#include <list>
#include "atomic.h"     // class Atomic

class StepB8 : public Atomic
{
public:
	StepB8( const string &name = "StepB8" ); //Default constructor

	virtual string className() const ;
protected:
	Model &initFunction();
	Model &externalFunction( const ExternalMessage & );
	Model &internalFunction( const InternalMessage & );
	Model &outputFunction( const InternalMessage & );

private:
    // inputs
	const Port &malate;
	const Port &malateDehydrogenase;
	const Port &NAD;
    // outputs
	Port &oxaloacetate;
	Port &NADH;
	Port &H;

	Time preparationTime;

	double malatec;
	double ifmalateDehydrogenase;
	double nadc;
    double counter;

};	// class StepB8

// ** inline ** // 
inline
string StepB8::className() const
{
	return "StepB8" ;
}

#endif   //__STEPB8_H
